Environment Provisioning - Get Provisioning Templates
Gets the list of available templates for provisioning in a location.
Retrieves available templates for environment provisioning in a location.
GET https://api.powerplatform.com/environmentmanagement/provisioning/locations/{location}/templates?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
The location name. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK Media Types: "text/plain", "application/json", "text/json" |
|
| 400 Bad Request |
Bad Request Media Types: "text/plain", "application/json", "text/json" |
|
| 401 Unauthorized |
Unauthorized Media Types: "text/plain", "application/json", "text/json" |
|
| 403 Forbidden |
Forbidden Media Types: "text/plain", "application/json", "text/json" |
|
| 404 Not Found |
Not Found Media Types: "text/plain", "application/json", "text/json" |
|
| 429 Too Many Requests |
Too Many Requests Media Types: "text/plain", "application/json", "text/json" |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Disabled |
Explains why a template is unavailable for a given SKU. |
|
Environment |
The environment SKU. |
|
Environment |
Represents a template available for environment provisioning. |
|
Environment |
A non-paginated collection of resources returned in full (no continuation token). Used for finite reference lists where partial results would be incorrect. |
|
Field |
The error detail for a single field. |
|
Operation |
Structured error detail for a failed request. |
|
Template |
Availability of a template for a specific environment SKU. |
|
Validation |
Represents the response for validation of an operation. |
DisabledReason
Explains why a template is unavailable for a given SKU.
| Name | Type | Description |
|---|---|---|
| code |
string |
The reason code. |
| message |
string |
The reason message. |
EnvironmentSku
The environment SKU.
| Value | Description |
|---|---|
| Standard | |
| Premium | |
| Developer | |
| Basic | |
| Production | |
| Sandbox | |
| Trial | |
| Default | |
| Support | |
| SubscriptionBasedTrial | |
| Teams | |
| Platform |
EnvironmentTemplate
Represents a template available for environment provisioning.
| Name | Type | Description |
|---|---|---|
| availability |
The per-SKU availability of this template. |
|
| displayName |
string |
The template name, localized for display. |
| isCustomerEngagement |
boolean |
Whether the template is a Customer Engagement template. |
| isSupportedForResetOperation |
boolean |
Whether this template is supported for the reset operation. |
| name |
string |
The template name (identifier). |
EnvironmentTemplateResourceCollection
A non-paginated collection of resources returned in full (no continuation token). Used for finite reference lists where partial results would be incorrect.
| Name | Type | Description |
|---|---|---|
| collection |
Represents a template available for environment provisioning. |
FieldError
The error detail for a single field.
| Name | Type | Description |
|---|---|---|
| errorMessages |
string[] |
The error messages describing what is wrong with the field. |
| suggestedValue |
string |
A suggested or accepted value that would resolve the error. |
OperationErrorDetail
Structured error detail for a failed request.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| fieldErrors |
<string,
Field |
Per-field error detail, keyed by field name. |
TemplateAvailability
Availability of a template for a specific environment SKU.
| Name | Type | Description |
|---|---|---|
| disabledReason |
Explains why a template is unavailable for a given SKU. |
|
| environmentSku |
The environment SKU. |
|
| isDisabled |
boolean |
Whether the template is disabled for this SKU. |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Structured error detail for a failed request. |